<template>
  <v-row justify="start" align="start" no-gutters>
    <v-col class="mb-7" cols="12" md="2" align-self="center">
      <span class="field">
        {{ fieldName }}
      </span>
    </v-col>
    <v-col cols="12" md="6">
      <v-text-field
        v-model="inputVal"
        single-line
        solo
        flat
        dense
        :rules="rules"
        :counter="counter"
      />
    </v-col>
  </v-row>
</template>
<script>
export default {
  name: 'RegisterField',
  props: {
    'fieldName': {
      default: '',
      type: String,
    },
    'value': {
      default: '',
      type: String,
    },
    'rules': {
      default: null,
      type: Array,
    },
    'required': {
      default: false,
      type: Boolean,
    },
    'counter': {
      default: null,
      type: Number,
    },
  },
  computed: {
    inputVal: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit('input', val);
      },
    },
  },
};
</script>

<style scoped>
.field {
  margin-left: 1rem;
  font-size: 0.9rem;
}
</style>
